SwordColliderUp = {}
SwordColliderUp.__index = SwordColliderUp

function SwordColliderUp:Create(me)
	SetPower(me,1)
end

function SwordColliderUp:Update(me)

	if GetLifetime(me) == 0
	then
		SetHealth(me,0)
	end
	
end

function SwordColliderUp:Collide(me,you)
	x,y = GetPosition(you)
	CreateEmitter("Null", x,y - 32)
	CreateEmitter("Null", x,y - 48)
	Smash(you,12*GetDirection(me),-32)
	PlaySoundEffect(3)
end